Package org.drinkless.tdlib

# Class TdApi.GetStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Story>
org.drinkless.tdlib.TdApi.GetStory

Enclosing class:
  TdApi

public static class TdApi.GetStory extends TdApi.Function<TdApi.Story>
Returns a story.

Returns `Story`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `onlyLocal`
  Pass true to get only locally available information without sending network requests.
  `int`
  `storyId`
  Story identifier.
  `long`
  `storySenderChatId`
  Identifier of the chat that posted the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStory()`
  Default constructor for a function, which returns a story.
  `GetStory(long storySenderChatId, int storyId, boolean onlyLocal)`
  Creates a function, which returns a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storySenderChatId

    public long storySenderChatId
    Identifier of the chat that posted the story.

  - ### storyId

    public int storyId
    Story identifier.

  - ### onlyLocal

    public boolean onlyLocal
    Pass true to get only locally available information without sending network requests.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStory

    public GetStory()
    Default constructor for a function, which returns a story.

    Returns `Story`

  - ### GetStory

    public GetStory(long storySenderChatId, int storyId, boolean onlyLocal)
    Creates a function, which returns a story.

    Returns `Story`

    Parameters:
      `storySenderChatId` - Identifier of the chat that posted the story.
      `storyId` - Story identifier.
      `onlyLocal` - Pass true to get only locally available information without sending network requests.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Story>`
    Returns:
      this.CONSTRUCTOR